"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var logger_1 = require("./utils/logger");
var queue = [];
function debugLog(message) {
    var meta = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        meta[_i - 1] = arguments[_i];
    }
    if (process.env.DEBUG !== undefined) {
        queue.push({
            message: message,
            meta: meta
        });
    }
}
exports.debugLog = debugLog;
function printLogs() {
    if (process.env.DEBUG !== undefined) {
        queue.forEach(function (log) {
            var _a;
            (_a = logger_1.getLogger()).info.apply(_a, [log.message].concat(log.meta));
        });
        resetLogs();
    }
}
exports.printLogs = printLogs;
function resetLogs() {
    queue = [];
}
exports.resetLogs = resetLogs;
//# sourceMappingURL=debugging.js.map